PHTML::Select Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Select:

## Public Member Functions

| Select (const char *fname=NULL, const char *attr=NULL)
| Select (const char *fname, DisableCodes disabled, const char *attr=NULL)
virtual | ~Select ()
Public Member Functions inherited from PHTML::Element
virtual | ~Element ()

## Protected Member Functions

virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::FieldElement
| FieldElement (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled)
virtual | ~FieldElement ()
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Additional Inherited Members

Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Constructor & Destructor Documentation

## Select() [1/2]

PHTML::Select::Select | ( | const char * | fname = `NULL`,
|  | const char * | attr = `NULL`
| ) |  |

## Select() [2/2]

PHTML::Select::Select | ( | const char * | fname,
|  | DisableCodes | disabled,
|  | const char * | attr = `NULL`
| ) |  |

## ~Select()

virtual PHTML::Select::~Select | ( |  | ) |

inline virtual

References PHTML::Element::AddAttr().

## Member Function Documentation

## AddAttr()

virtual void PHTML::Select::AddAttr | ( | PHTML & | html | ) | const

protected virtual

Reimplemented from PHTML::FieldElement.

The documentation for this class was generated from the following file:

- html.h